<?php

/**
 * @file
 * Functionality related to the Blink.net Integration settings page.
 */

/**
 * Form API callback to build the settings form.
 */
function blinknet_settings_form($form, &$form_state) {
  $form['blinknet_client_id'] = array(
    '#title' => t('Client ID'),
    '#type' => 'textfield',
    '#required' => TRUE,
    '#default_value' => variable_get('blinknet_client_id'),
  );
  $form['blinknet_live_mode'] = array(
    '#title' => t('Site mode'),
    '#type' => 'radios',
    '#required' => TRUE,
    '#options' => array(
      FALSE => t('Demo mode'),
      TRUE => t('Live mode'),
    ),
    '#default_value' => intval(variable_get('blinknet_live_mode', FALSE)),
  );

  return system_settings_form($form);
}
